# Tax Products Tax Products ## Gets all of the tax products in the system. - [GET /taxProducts/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/tax-products/listtaxproducts.md): This method will scan all tax products and and return them to the caller. ## Creates a new tax product record that does not already exist. - [POST /taxProducts/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/tax-products/createtaxproduct.md): This method will auto-generate an ID and create a new tax product. If an ID is specified for the tax product, an error will be thrown. ## Execute Batch Operations - [POST /taxProducts/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/tax-products/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a tax product from the system by its ID. - [DELETE /taxProducts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/tax-products/deletetaxproduct.md): This method will delete a tax product with the specified ID. ## Returns a tax product from the system by its ID. - [GET /taxProducts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/tax-products/gettaxproduct.md): This method will look up a tax product by the specified ID and return it back. ## Partially updates a tax product with the specified ID. - [PATCH /taxProducts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/tax-products/patchtaxproduct.md): This method will patch an existing tax product with the specified ID, using the HTTP PATCH specification. ## Updates a tax product with the specified ID. - [PUT /taxProducts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/tax-products/updatetaxproduct.md): This method will update an existing tax product with the specified ID.